Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006061 [JEDI VCL] 00 JVCL Components major always 2013-01-15 01:29 2015-09-14 13:20
Reporter delphichem1 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006061: JvDBGrid double click to resize (with proposition to fix)
Description If dgIndicator is set to False, when double clicking to resize does not resize the right column, and it cause exception if it is the first column.
Additional Information On TJvDBGrid.CalcSizingState(X, Y: Integer; var State: TGridState;
Add
  if Index > FirstVisibleColumn + VisibleColCount then
    Index := FirstVisibleColumn + VisibleColCount;

  if not (dgIndicator in Options) then <----- add
    FResizeColumnIndex := Index <----- add
  else <----- add
    FResizeColumnIndex := Index - 1;// Store the column index to resize.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020387)
obones (administrator)
2013-01-15 16:16

Please provide the zipped sources of a sample application showing this.
(0020391)
delphichem1 (reporter)
2013-01-15 17:48

1- Simply open JvDBGridExportDemo in ..\jvcl\examples\JvDBGridExport

2- Click on DBGrid1

3- In options uncheck dgIndicator

4- Run program

5- Double click between columns FileName and Size to resize
(0020431)
stevegr (reporter)
2013-02-15 20:10

Hi,

A fix is uploaded in 6069 issue. Thank's for reporting,

Regards,
Argonet Development Group.
(0020500)
AHUser (developer)
2013-05-25 14:25

Fixed in svn revision 13517.

- Issue History
Date Modified Username Field Change
2013-01-15 01:29 delphichem1 New Issue
2013-01-15 16:16 obones Note Added: 0020387
2013-01-15 16:16 obones Status new => feedback
2013-01-15 17:48 delphichem1 Note Added: 0020391
2013-02-15 20:10 stevegr Note Added: 0020431
2013-05-25 14:25 AHUser Note Added: 0020500
2013-05-25 14:25 AHUser Status feedback => resolved
2013-05-25 14:25 AHUser Fixed in Version => Daily / SVN
2013-05-25 14:25 AHUser Resolution open => fixed
2013-05-25 14:25 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker